require 'spec_helper'

# This spec was generated by rspec-rails when you ran the scaffold generator.
# It demonstrates how one might use RSpec to specify the controller code that
# was generated by Rails when you ran the scaffold generator.
#
# It assumes that the implementation code is generated by the rails scaffold
# generator.  If you are using any extension libraries to generate different
# controller code, this generated spec may or may not pass.
#
# It only uses APIs available in rails and/or rspec-rails.  There are a number
# of tools you can use to make these specs even more expressive, but we're
# sticking to rails and rspec-rails APIs to keep things simple and stable.
#
# Compared to earlier versions of this generator, there is very limited use of
# stubs and message expectations in this spec.  Stubs are only used when there
# is no simpler way to get a handle on the object needed for the example.
# Message expectations are only used when there is no simpler way to specify
# that an instance is receiving a specific message.

module RailsMarketplace
  describe CatalogController do

    # This should return the minimal set of attributes required to create a valid
    # Appointment. As you add validations to Appointment, be sure to
    # adjust the attributes here as well.
    let(:valid_attributes) { { use_route: :rails_marketplace, "product_id" => "1", "quantity" => "1" } }

    # This should return the minimal set of values that should be in the session
    # in order to pass any filters (e.g. authentication) defined in
    # AppointmentsController. Be sure to keep this updated too.
    let(:valid_session) { {} }

    describe "POST add_to_cart" do
      describe "with valid params" do
        it "add product to cart" do
          expect {
            post :add_to_cart, valid_attributes, valid_session
          }.to change(Cart, :count).by(1)
        end

        it "assigns a new cart as @cart" do
          post :add_to_cart, valid_attributes, valid_session
          assigns(:cart).should be_a(Cart)
          assigns(:cart).should be_persisted
        end

        it "redirects to the cart page" do
          post :add_to_cart, valid_attributes, valid_session
          response.should redirect_to(Cart.path)
        end
      end

      # describe "with invalid params" do
      #   it "assigns a newly created but unsaved appointment as @appointment" do
      #     # Trigger the behavior that occurs when invalid params are submitted
      #     Appointment.any_instance.stub(:save).and_return(false)
      #     post :create, {:appointment => { "start_time" => "invalid value" }}, valid_session
      #     assigns(:appointment).should be_a_new(Appointment)
      #   end

      #   it "re-renders the 'new' template" do
      #     # Trigger the behavior that occurs when invalid params are submitted
      #     Appointment.any_instance.stub(:save).and_return(false)
      #     post :create, {:appointment => { "start_time" => "invalid value" }}, valid_session
      #     response.should render_template("new")
      #   end
      # end
    end




  end
end
